Summary: Really Slick Screensavers Port to GLX
Name: rss_glx
Version: 0.6.7
Release: 1
Copyright: GPL
Group: Entertainment
Packager: linuxkid <linux@peanutlinux.org>
Source0: http://unc.dl.sourceforge.net/sourceforge/rss-glx/%{name}-%{version}.tar.bz2
Source1: .xscreensaver
URL: http://rss-glx.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xscreensaver
%define		_sysconfdir	/etc

%description
Important:
These screensavers are written for Windows. They use OpenGL and require
OpenGL hardware acceleration for optimum performance. If you don't have
it, you probably need a better video card because these won't run at top
speed and they won't be nearly as mesmerizing as they could be. It's also
a good idea to make sure your OpenGL driver is current. GLSetup is a good 
tool for solving this problem. These savers are freeware. Feel free to 
give them to anyone and everyone.

To use these savers with xscreensaver, add the following lines after the line
that starts with "programs:" in ~/.xscreensaver.

-- Cut Here --
  GL:                "Cyclone"  cyclone --root                              \n\
  GL:               "Euphoria"  euphoria --root                             \n\
  GL:             "Fieldlines"  fieldlines --root                           \n\
  GL:                 "Flocks"  flocks --root                               \n\
  GL:                   "Flux"  flux --root                                 \n\
  GL:                 "Helios"  helios --root                               \n\
  GL:                "Lattice"  lattice --root                              \n\
  GL:                 "Plasma"  plasma --root                               \n\
  GL:              "Skyrocket"  skyrocket --root                            \n\
  GL:             "Solarwinds"  solarwinds --root                           \n\
  GL:              "Colorfire"  colorfire --root                            \n\
  GL:           "Hufo's Smoke"  hufo_smoke --root                           \n\
  GL:          "Hufo's Tunnel"  hufo_tunnel --root                          \n\
  GL:             "Sundancer2"  sundancer2 --root                           \n\
-- End Here --

%prep
%setup -q

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/root
mkdir -p $RPM_BUILD_ROOT/etc/skel
cp %{SOURCE1} $RPM_BUILD_ROOT/root
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/skel

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/*
